
QGIS Application - Bug report #12657

Processing/GRASS don't work under Windows if username or input/output paths have non ascii 

chars

2015-04-27 11:35 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20770

Description

Already discussed with Victor and Alexander. The issue has no easy solution apparently.

If the username has non ascii chars in it Processing returns the error message saying that GRASS is not installed.

If the non ascii chars are in the input/output paths then the modules run but ultimately fail.

This is no issue under Linux.

Related issues:

Related to QGIS Application - Bug report # 9425: grass_script.bat always fail... Closed 2014-01-25

Related to QGIS Application - Bug report # 13120: Processing gdal tools do no... Closed 2015-07-15

Related to QGIS Application - Bug report # 16250: Processing ogr tools proble... Closed 2017-02-28

History

#1 - 2015-06-01 09:34 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.1 to master

- Priority changed from Normal to High

- Target version set to Future Release - High Priority

#2 - 2016-03-05 08:49 AM - Médéric RIBREUX

- Status changed from Open to In Progress

Hello,

I am working on it (only made with GRASS7)...

Following my work on #9425, I found a way to use input and output files with mbcs characters in their name for GRASS7 algorithms.

I have made the fix tests on MS-Windows XP for the moment (the only VM with MS I have). I will try it on MS-Windows 7 next week and make a

Pull-Request for this soon (so you can test it).

Stay tuned !

#3 - 2016-03-05 10:38 AM - Giovanni Manghi

thanks!
#4 - 2016-03-07 12:40 PM - Médéric RIBREUX

Hello,

the PR is published.

Feel free to test it !

#5 - 2017-01-04 11:34 PM - Giovanni Manghi

- Pull Request or Patch supplied changed from No to Yes

#6 - 2017-03-07 02:22 AM - Giovanni Manghi

- Target version deleted (Future Release - High Priority)

- Priority changed from High to Normal

- Status changed from In Progress to Open

#7 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#8 - 2019-01-25 12:54 PM - Victor Olaya

- Description updated

- Status changed from Open to Feedback

Things seem to be fine in 3.4.

Should this be closed?

#9 - 2019-01-25 03:05 PM - Giovanni Manghi

Victor Olaya wrote:

Things seem to be fine in 3.4.

Should this be closed?

I will check ASAP.

#10 - 2019-01-28 11:23 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Pull Request or Patch supplied changed from Yes to No

- Status changed from Feedback to Closed

- Affected QGIS version changed from master to 3.4.4

yes, it seems fixed!
https://github.com/qgis/QGIS/pull/2882
